
</body>


<!--===============================================================================================-->
<script src="assets/vendor/jquery/jquery-3.2.1.min.js"></script>
<!--===============================================================================================-->
<script src="assets/vendor/animsition/js/animsition.min.js"></script>
<!--===============================================================================================-->
<script src="assets/vendor/bootstrap/js/popper.js"></script>
<script src="assets/vendor/bootstrap/js/bootstrap.min.js"></script>
<!--===============================================================================================-->
<script src="assets/vendor/select2/select2.min.js"></script>
<!--===============================================================================================-->
<script src="assets/vendor/daterangepicker/moment.min.js"></script>
<script src="assets/vendor/daterangepicker/daterangepicker.js"></script>
<!--===============================================================================================-->
<script src="assets/vendor/countdowntime/countdowntime.js"></script>
<!--===============================================================================================-->
<script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.7.1/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.17.0/xlsx.full.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/FileSaver.js/2.0.5/FileSaver.min.js"></script>
<!--===============================================================================================-->

<script src="assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="js/main.js"></script>

<!-- Add your custom scripts below -->
<script>
    $(document).ready(function() {
        $('#example').DataTable({
            "pagingType": "full_numbers",
            "pageLength": 10,
            "lengthMenu": [10, 25, 50, 75, 100],
             scrollCollapse: true,
             scrollY: '400px',
             scrollX: true
        });
    });
</script>

<script>
    // Add the downloadExcel function script here

    function downloadExcel() {
        var table = document.getElementById('example');
        var wb = XLSX.utils.table_to_book(table, {sheet: "Sheet JS"});
        var wbout = XLSX.write(wb, {bookType: 'xlsx', type: 'binary'});
        
        function s2ab(s) {
            var buf = new ArrayBuffer(s.length);
            var view = new Uint8Array(buf);
            for (var i = 0; i < s.length; i++) {
                view[i] = s.charCodeAt(i) & 0xFF;
            }
            return buf;
        }
        
        saveAs(new Blob([s2ab(wbout)], {type: "application/octet-stream"}), 'data.xlsx');
    }


</script>

<script>
    document.addEventListener("DOMContentLoaded", function () {
        // Select all file input elements with the class 'fileInput'
        var fileInputs = document.querySelectorAll(".fileInput");

        // Loop through each file input
        fileInputs.forEach(function (input) {
            input.addEventListener("change", function () {
                var imageFileNameContainer = document.querySelector(".imageFileNameContainer");
                var videoFileNameContainer = document.querySelector(".videoFileNameContainer");

                // Clear previous file names and remove buttons if any
                imageFileNameContainer.innerHTML = "";
                videoFileNameContainer.innerHTML = "";

                if (this.files.length > 0) {
                    Array.from(this.files).forEach((file) => {
                        var fileName = file.name;
                        var fileURL = URL.createObjectURL(file);

                        // Determine the container based on the file type
                        var container;
                        if (file.type.startsWith("image/")) {
                            container = imageFileNameContainer;
                        } else if (file.type.startsWith("video/")) {
                            container = videoFileNameContainer;
                        }

                        if (container) {
                            var aTag = document.createElement("a");
                            aTag.href = fileURL;
                            aTag.target = "_blank";
                            aTag.textContent = fileName;
                            aTag.className = "mb-0 me-2"; // Optional: Remove bottom margin and add right margin for better alignment
                            container.appendChild(aTag);

                            var removeButton = document.createElement("button");
                            removeButton.className = "btn btn-link p-0";
                            removeButton.innerHTML = '<i class="bi bi-x-circle"></i>';
                            removeButton.addEventListener("click", function () {
                                // Clear the file input
                                input.value = "";
                                // Remove the file name and the button
                                container.innerHTML = "";
                                // Show 'No file chosen' when files are removed
                                var noFileMessage = document.createElement("p");
                                noFileMessage.textContent = "No file chosen";
                                container.appendChild(noFileMessage);
                                // Revoke the object URL to free memory
                                URL.revokeObjectURL(fileURL);
                            });
                            container.appendChild(removeButton);
                        }
                    });
                } else {
                    // Show 'No file chosen' message in both containers
                    var noFileMessageImg = document.createElement("p");
                    noFileMessageImg.textContent = "No file chosen";
                    imageFileNameContainer.appendChild(noFileMessageImg);

                    var noFileMessageVideo = document.createElement("p");
                    noFileMessageVideo.textContent = "No file chosen";
                    videoFileNameContainer.appendChild(noFileMessageVideo);
                }
            });
        });
    });
</script>

<script>
    document.addEventListener("DOMContentLoaded", function () {
        // Add event listener to the parent element of all "Remove" buttons
        document.addEventListener("click", function (event) {
            const removeButton = event.target.closest(".unique-remove-button");
            if (removeButton) {
                // Find the parent container and remove it
                const container = removeButton.closest(".unique-scheduler-container");
                container.remove();
            }
        });

        // Add event listener to all duplicate buttons
        document
            .querySelectorAll(".unique-duplicate-button")
            .forEach((button) => {
                button.addEventListener("click", duplicateScheduler);
            });

        function duplicateScheduler(event) {
            // Find the unique-scheduler-container to duplicate
            const container = event.target.closest(".unique-scheduler-container");

            // Clone the container
            const newContainer = container.cloneNode(true);

            // Reset values in the cloned container
            resetContainer(newContainer);

            // Append the new container to the body or a specific parent element
            container.parentNode.appendChild(newContainer);

            // Add the duplicate event listener to the new duplicate button
            const duplicateButton = newContainer.querySelector(
                ".unique-duplicate-button"
            );
            duplicateButton.addEventListener("click", duplicateScheduler);

            // Add a remove button only if it doesn't already exist for this container
            if (!newContainer.querySelector(".unique-remove-button")) {
                addRemoveButton(newContainer);
            }

            // Scroll to the new container
            newContainer.scrollIntoView({ behavior: "smooth" });
        }

        function resetContainer(container) {
            // Clear the text areas, inputs, and file inputs
            container.querySelector("#uniqueContent").value = "";
            container.querySelector("#uniqueURL").value = "";
            container.querySelector("#fileInput").value = "";
            container.querySelector("#fileName").value = "No file chosen";
            container.querySelector("#imageFileNameContainer").innerText =
                "Image not chosen";
            container.querySelector("#videoFileNameContainer").innerText =
                "Video not chosen";
        }

        function addRemoveButton(container) {
            // Create the remove button
            const removeButton = document.createElement("button");
            removeButton.className = "btn unique-remove-button remove-button"; // Add 'remove-button' class here
            removeButton.innerHTML = '<i class="bi bi-trash"></i> &nbsp;Remove';

            // Append the remove button to the container
            container.querySelector(".remove-button").appendChild(removeButton); // Append to the element with class 'remove-button'

            // Add the remove functionality
            removeButton.addEventListener("click", function () {
                container.remove();
            });
        }
    });
</script>

<script>
    function getTime() {
      const timePicker = document.getElementById('timePicker');
      const selectedTime = timePicker.value;
      alert("Selected Time: " + selectedTime);
    }
  </script>


<script>
    $(document).ready(function() {
        $('.thumbnail img').click(function() {
            $('.thumbnail img').removeClass('active');
            $(this).addClass('active');
        });

        $('#main-slider').on('slide.bs.carousel', function (e) {
            var index = $(e.relatedTarget).index();
            $('.thumbnail img').removeClass('active');
            $('.thumbnail img').eq(index).addClass('active');
        });
    });
</script>

</html>